/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/mixins/_fonts.scss';
@import 'css/_variables.scss';

.m-coaMilestoneIndicators {
  display: flex;
  column-gap: 2rem;
  flex-wrap: wrap;
  row-gap: 1rem;

  &__indicatorContainer {
    position: relative;
    padding-left: 16px;
    &::before {
      display: block;
      height: 100%;
      width: 6px;
      content: '';
      position: absolute;
      left: 0;
    }

    &.--green {
      &::before {
        background: linear-gradient(180deg, #ace4c1 0%, $coa-green-100 100%);
      }
    }
    &.--orange {
      &::before {
        background: linear-gradient(180deg, #ffd494 0%, $coa-yellow-100 100%);
      }
    }
    &.--violet {
      &::before {
        background: linear-gradient(180deg, #ddb3ff 0%, $coa-violet-100 100%);
      }
    }
  }

  &__evidenceContainer {
    display: flex;
    flex-direction: column;
    row-gap: 0.25rem;

    &__title {
      @include primary-text(12px, $coa-medium-gray-100, 700);
      text-transform: uppercase;
    }
    &__item {
      @include primary-text(0.75rem, $coa-medium-gray-100, 400);
      text-transform: uppercase;

      &__value {
        font-size: 1rem;
      }
    }
  }

  &__title {
    text-transform: uppercase;
    &.--green {
      @include primary-text(0.875rem, $coa-green-100, 700);
    }
    &.--orange {
      @include primary-text(0.875rem, $coa-yellow-100, 700);
    }
    &.--violet {
      @include primary-text(0.875rem, $coa-violet-100, 700);
    }
  }
  &__indicators {
    display: flex;
    column-gap: 1.25rem;

    &__title {
      @include primary-text(0.75rem, $coa-medium-gray-100, 400);
    }
    &__value {
      @include primary-text(1rem, $coa-medium-gray-100, 400);
    }
  }
}
